using System.Collections.Generic;
using NUnit.Framework;

namespace m3uTool.Tests
{
    [TestFixture]
    public class LongestCommonSequenceTests
    {
        [Test]
        public void FunctionalityTest()
        {
            List<string> substring = LongestCommonSubstrings.GetLongestSubstring("ABAB", "BABA");
            Assert.AreEqual(2, substring.Count);
            Assert.IsTrue(substring.Contains("ABA"));
            Assert.IsTrue(substring.Contains("BAB"));
        }
    }
}